【更新履歴】
  ver.3.48beta2 2026/07/20
    Ver.3.48beta1で、グラフの横方向グリッドが描画されないことがある不具合を修正。
    セキュリティ強化。
    英語表記の改善。

  ver.3.48beta1 2026/07/05
    音声解析処理を改善。
    音声出力時に不正終了することがある不具合の修正。
    セキュリティ強化。

  ver.3.47 2026/04/29
    正式版作成。

  ver.3.47beta1 2025/12/29
    ラベルのレイヤー表示機能を追加。
    内部処理を変更。

  ver.3.46 2025/10/18
    音声ファイル差し替えを音声ファイル再読み込みに変更。
    特定の環境でマウス操作が反応しないことがある不具合を修正。
    アイテムの選択解除コマンドが正常に動作しない不具合を修正。
    小節オフセットよりも左側の小節・拍番号が正しく表示されない不具合を修正。
    その他細かい改善、修正。

  ver.3.46beta4 2025/08/17
    音声解析処理を改善。
    表示上のサイズが小さいアイテムを移動ツールで移動できない問題を改善。
    解析方式のWORLD(楽器用)を削除。
    マルチディスプレイ環境でのウィンドウ位置の復元に対応。
    前後のラベルに移動するコマンドを追加。
    トラックの色を任意に設定する機能を追加。
    ラベルエクスポートにTIME適用有無の選択を追加。
    音声ファイルフォーマットエラーの表示を改善。

  ver.3.46beta3 2025/04/22
    音声再生/出力時に、内部エラー1が発生することがある不具合を修正。

  ver.3.46beta2 2025/04/10
    解析方式にWORLD(楽器用)を追加。
    ノート編集モードの度数指定ピッチシフト機能を改善。

  ver.3.46beta1 2025/03/14
    ノート編集モードの度数指定ピッチシフト機能を改善。

  ver.3.45 2024/10/26
    エラー表示を改善。

  ver.3.45beta5 2024/07/19
    複数トラックをトラックごとに一括書き出しする機能を追加。
    メトロノーム音にsin waveを追加。
    その他細かい改善。

  ver.3.45beta4 2024/07/15
    プロジェクトファイルを開くとき、内部エラー1が発生することがある不具合を修正。

  ver.3.45beta3 2024/03/20
    特定の環境でマウスクリックが反応しないことがある不具合を修正。

  ver.3.45beta2 2024/01/22
    一部の環境で、起動時にエラー12が発生する不具合を修正。

  ver.3.45beta1 2024/01/09
    プロジェクトファイル復旧時に、ショートカットキー設定がクリアされる不具合を修正。

  ver.3.44 2023/07/09
    正式版作成。

  ver.3.44beta4 2023/07/06
    WORLD使用時に内部エラーが発生することがある不具合を修正。

  ver.3.44beta3 2023/02/25
    コマンドライン引数でファイルを指定するとエラーが発生する不具合を修正。

  ver.3.44beta2 2023/02/19
    画面更新頻度の設定に「最高」を追加。
    マルチディスプレイ環境で、ウィンドウサイズが制限されることがある現象を改善。
    一部の環境でボリュームコントロールを開けない不具合を修正。
    編集モード変更のショートカットキーを追加。
    対応OS更新。

  ver.3.44beta1 2023/01/03
    モーフィング有効時、VOLまたはDYNを0にするとノイズが発生する不具合を修正。
    wave形式以外の音声ファイルでWORLDが使用できない不具合を修正。
    ペンツール手ぶれ補正の挙動を改善。
    VocalShifterを一度も起動していない場合、プロジェクトファイル復旧ツール起動時に内部エラー12が発生する不具合を修正。

  ver.3.43 2022/04/19
    モーフィング編集モード切替え時に、内部エラー31が発生する不具合を修正。

  ver.3.43beta1 2022/04/10
    前の小節、次の小節、指定の小節へ移動コマンドで、移動できないことがある不具合を修正。
    再生位置を左/右に移動コマンド実行時に、オートスクロールが動作しないことがある不具合を修正。
    再生位置を左/右に移動コマンドを、ショートカットキーの長押しで連続実行できるように変更。
    オートスクロールが有効の場合、再生停止時に停止後の位置にスクロールする仕様に変更。
    アイテム編集ウィンドウの再生位置の色のカスタマイズに対応。

  ver.3.42 2022/03/02
    2回目以降のノートのインポートが正常に動作しない不具合を修正。

  ver.3.42beta2 2022/01/16
    任意のTick値でのタイミング制御点のクオンタイズに対応。
    前回の設定値でタイミング制御点をクオンタイズするコマンドを追加。
    編集モード切替のステータスバー表示を改善。
    アクセラレーションキーの重複を修正。

  ver.3.42beta1 2021/11/23
    再生/停止(停止時に再生開始位置に戻る)のショートカットキーを追加。
    選択トラックのミュート/ソロのショートカットキーを追加。
    範囲選択中等の自動スクロール速度の設定を追加。
    ラベル追加時に、ラベル名設定画面を表示する仕様に変更。
    一部環境で意図せずスクロールする現象の対策を実施。
    その他細かい修正。

  ver.3.41 2020/12/12
    VocalShifter方式の音声合成エンジンを調整。

  ver.3.41beta2 2020/12/06
    VocalShifter方式の音声解析処理改善、高速化。
    解析方式の初期値をVocalShifterに変更、前回値をリセット。
    Wave出力デバイスのオープン失敗時、既定のデバイスに切り替える処理を追加。
    音声合成方式選択ウィンドウを閉じた場合、アイテム追加をキャンセルする仕様に変更。
    その他細かい変更、改善。

  ver.3.41beta1 2020/11/23
    メトロノーム機能を追加。
    HEQの音品質を改善。
    解析方式にWORLDを選択したときの分析アルゴリズムをDIOからHarvestに変更。
    解析設定の音域が正常に適用されない不具合を修正。
    外部エンジン設定をデフォルトで非表示に変更。
    その他細かい変更。

  ver.3.4 2020/10/31
    モーフィング設定の一括変更機能を追加。
    その他細かい改善。

  ver.3.35beta4 2020/10/18
    WORLD使用時のメモリ消費量削減。

  ver.3.35beta3 2020/10/17
    WORLD使用時のピッチシフトの品質を改善。
    ピッチのグリッドタイプ変更機能追加。
    一部の環境で再生位置がずれる問題の対策をデフォルトで有効に変更。
    アイテム一括設定で音声合成方式をWORLDに変更できない不具合を修正。
    その他細かい修正。

  ver.3.35beta2 2020/10/05
    モーフィング機能正式対応。
    その他細かい修正。

  ver.3.35beta1 2020/09/12
    モーフィンググループ設定なしのアイテムと設定ありのアイテムが混在している場合、正常にMixされないことがある不具合を修正。
    アイテム単体のWaveファイル出力時、マスタボリュームを適用しない仕様に変更。
    アイテム単体のWaveファイル出力時、出力フォーマットの初期値を元のWaveファイルに合わせるように変更。
    解析設定、音声合成方式設定ウィンドウに、ファイル名表示を追加。
    再読み込み時に、初回読み込み時の解析方式(VocalShifter/WORLD)が維持される仕様に変更。
    再読み込み時の解析設定変更に対応。

  ver.3.34 2020/08/29
    正式版作成。

  ver.3.34beta3 2020/08/23
    一部の環境で再生位置がずれることがある問題を改善。

  ver.3.34beta2 2020/08/16
    WORLD使用時の無声音やイ段の音の合成品質を向上。
    WORLD使用時のVOL,DYN,BREの処理を修正。
    グラフの色設定が、各編集モードの見出しの色に反映されない不具合を修正。
    その他細かい修正。

  ver.3.34beta1 2020/08/14
    WORLD分析時のメモリ消費量を削減。
    グラフの色変更機能を追加。
    アイテムの選択範囲をWaveファイルに出力する機能を追加。

  ver.3.33 2020/08/09
    アイテム追加時の音声合成方式にWORLDを追加。
    正式版作成。

  ver.3.33beta2 2020/07/25
    WORLD4VSエンジンを同梱。
    モーフィンググループ指定によるモーフィングに対応。
    DYN,VOLと波形の対数表示を個別に設定できるように変更。
    CPU負荷を軽減。
    エラー表示改善。
    その他細かい仕様変更。

  ver.3.33beta1 2020/07/14
    アンドゥ、リドゥ、プロジェクトオープン時に、外部エンジンの音声合成方式が初期化される不具合を修正。

  ver.3.32 2020/07/04
    アイテム編集ウィンドウ表示中に、メインウィンドウで時間単位切替を行うと、エラーが発生する不具合を修正。

  ver.3.32beta1 2020/06/28
    メインウィンドウの横方向の拡大率上限を拡張。
    タイミング編集モードで他のモードのグラフ表示時に、他のモードのグリッドを表示するよう変更。
    アイテム編集ウィンドウに音声ファイルをドラッグ&ドロップできる不具合を修正。
    MIDIファイルを正常に読み込めないことがある不具合を修正。
    スケール上の音階の強調表示の見やすさを改善。
    エラーメッセージ改善。

  ver.3.31 2020/06/27
    正式版作成。

  ver.3.31beta3 2020/06/24
    「ノート位置に制御点追加」実行時に、内部エラーが発生することがある不具合を修正。

  ver.3.31beta2 2020/06/22
    トラックおよびアイテムをコピーペーストできない不具合を修正。
    リピート再生が有効の場合、再生時間をアイテム内に制限が正常に動作しない不具合を修正。
    アクセラレーションキーの重複を修正。

  ver.3.31beta1 2020/06/14
    アイテム書き出し時のフォーマット指定機能を追加。
    ボタンまたはショートカットキーで再生位置移動時の、移動量の設定を追加。
    アイテムのノート数、ラベル数表示機能の追加
    スケール上の音階の強調表示の見やすさを改善。
    Waveファイルフォーマットエラー発生時のファイル情報の表示を追加。
    その他細かい改善、修正。

  ver.3.3 2020/06/06
    正式版作成。

  ver.3.21beta11 2020/05/30
    ウィンドウの表示が崩れることがある不具合を修正。
    内部エラー3が発生することがある不具合を修正。

  ver.3.21beta10 2020/05/24
    チルトホイール有効時のスクロール、拡大縮小のキー設定カスタマイズ機能を追加。
    先頭に移動、末尾に移動のコマンドを追加。
    再生位置をアイテム内に制限できる機能を追加。
    直線ツールの水平機能の不具合を修正。
    アイテム編集ウィンドウをアクティブ化するときのペンツール手ぶれ補正の挙動を修正。

  ver.3.21beta9 2020/05/17
    ノート編集でピッチを100cent単位で移動する機能を追加。
    ノートエクスポート時のピッチベンドセンシティビティの指定に対応。
    メインウィンドウ上でアイテムが重なっている場合の警告表示を追加。
    オートスクロール有効時、最高音に移動、再低音に移動、最大音量に移動でスクロールしない不具合を修正。
    停止中かつオートスクロール有効時、コマンドで再生位置を移動してもスクロールしない不具合を修正。
    メニューの1sample/pixel実行後、拡大縮小すると元の拡大率に戻る不具合を修正。
    その他細かい改善。

  ver.3.21beta8 2020/05/16
    アイテム編集ウィンドウ拡大率のステータスバー表示不具合を修正。

  ver.3.21beta7 2020/05/16
    スクロール、拡大縮小のキー設定カスタマイズ機能を追加。
    アイテム編集ウィンドウを4pixel/sampleまで拡大できるよう対応。
    オートスクロール解除の挙動を改善。
    音声ファイルのパス(絶対、相対)の初期値変更機能を拡張設定に追加。
    その他細かい修正。

  ver.3.21beta6 2020/05/09
    スケール上の音階の強調表示機能を追加。
    その他細かい修正。

  ver.3.21beta5 2020/05/05
    VOL,DYN,波形の対数表示に対応。
    WORLDで解析した場合、音声出力にノイズがのることがある不具合を修正。
    WORLDの解析方式をDIOのみに変更。

  ver.3.21beta4 2020/05/03
    WORLDの解析パラメータ調整、解析高速化。
    マウスホイールでタブ切り替え時、シンクロスクロールが動作しない不具合修正。
    アイテムをアイテム編集ウィンドウで開くとき、シンクロスクロールが動作しない不具合修正。
    ショートカットキーで拡大縮小時も、マウス位置を基準に拡大縮小するよう変更。
    その他細かい修正。

  ver.3.21beta3 2020/05/02
    WORLDで解析した場合、音声出力にノイズが入ることがある問題を修正。

  ver.3.21beta2 2020/05/02
    音声解析方式設定を追加。WORLDによる基本周波数解析に対応。

  ver.3.21beta1 2020/04/26
    サンプリング周波数11.025kHz,12kHz,16kHz,24kHzに対応。
    Ctrlキー+マウスホイールで拡大縮小時、マウス位置を基準に拡大縮小するよう変更。
    ドラッグ&ドロップでアイテム追加時に、オフセットがずれることがある不具合を修正。
    選択範囲入力中に、Enterキーでフォーカスを解除するよう変更。
    ファイル保存時のファイル名エラーチェック強化。
    マウスの左右ボタン入れ替えによる問題の暫定対策。

  ver.3.2 2020/03/22
    正式版作成。

  ver.3.2beta3 2020/03/07
    ファイル保存ダイアログでファイルを指定できない不具合を修正。

  ver.3.2beta2 2020/03/07
    ファイルアクセス時のエラーチェックを強化。

  ver.3.2beta1 2020/03/01
    アイテム編集ウィンドウの拡大率を上げると、スクロールバーが操作できなくなる不具合を修正。
    WAVE出力デバイスのオープン失敗時、エラーメッセージが表示されない不具合を修正。
    WAVE出力デバイスのオープン失敗後の再生開始時、内部エラー7が発生する不具合を修正。
    アイテム編集ウィンドウの入力ボックスのフォーカスを解除できない不具合を修正。
    アイテム再読み込み時に、オフセット補正、任意音階の基準周波数、Major/minorが引き継がれない不具合を修正。
    アイテム追加時に、オフセット補正、任意音階の基準周波数、Major/minorが不定になることがある不具合を修正。
    トラック追加時に、逆相フラグが不定になることがある不具合を修正。
    非対応のサンプリング周波数のアイテム追加時に表示されるエラーメッセージ内容の誤りを修正。
    対応OSからWindows Vista,7を除外。
    消費税率変更に伴い、シェアウェア版の価格の表記を変更。

  ver.3.1 2016/11/03
    正式版作成。

  ver.3.1beta4 2016/10/09
    エラーメッセージ修正。
    その他細かい修正。

  ver.3.1beta3 2016/10/01
    エンジン設定画面を追加。
    トラックパネルに逆相ボタンを追加。
    トラック名に64文字入力すると異常終了する不具合を修正。
    その他細かい変更。

  ver.3.1beta2 2016/09/18
    外部音声合成エンジンによる解析処理の進捗表示を追加。
    その他細かい修正。

  ver.3.1beta1 2016/09/17
    音声合成エンジンDLLに暫定対応。

  ver.3.0 2016/06/04
    正式版作成。

  ver.3.0RC1 2016/05/22
    周波数スケール表示機能を追加。
    EQ1,EQ2,HEQの設定範囲を変更。
    プロジェクトファイルバージョン変更。
    メインウィンドウをクリックするとアイテムがドラッグされることがある不具合修正。

  ver.3.0beta7 2016/05/05
    HEQパラメータを追加。
    ノートと編集前グラフのレイヤー表示を無効化できるオプションを追加。
    アイテムEQ設定の操作性を向上。
    Waveファイル上書き出力時に解析設定を引き継ぐように変更。
    音声ファイル差し替え時にアイテム設定を引き継ぐように変更。
    EQリセットボタンを2回押下しないと音声出力に反映されない不具合を修正。
    リズム用モードでトリミングした場合、音が重なる不具合を修正。
    Waveファイル上書き出力時にアイテム設定が保持されない不具合を修正。
    EQ2の変更コマンドが動作しない不具合を修正。

  ver.3.0beta6 2016/03/20
    マニュアル作成。

  ver.3.0beta5 2016/03/13
    タブで開いている他のアイテムのWave波形を並べて表示する機能を追加。
    wavextを利用したデコードに対応。
    設定画面等でEnterキーで確定できるように変更。
    最大音量計測結果が0dB以上の場合、0dBと表示される不具合を修正。

  ver.3.0beta4 2016/02/29
    アタック検出機能で内部エラーが発生することがある不具合を修正。

  ver.3.0beta3 2016/02/28
    「ドラム検出」を「アタック検出」に名称変更。
    アタック検出の精度向上、閾値設定追加。
    ペンツール手振れ補正機能追加。
    ピッチ平滑化モード復活。
    その他細かい不具合修正。

  ver.3.0beta2 2016/02/21
    音声解析処理を改良。
    リズム用の音声合成方式を追加。
    ドラム用タイミング制御点自動検出機能を追加。
    和音用の音声合成方式でEQを使用できるように変更。
    アイテム編集ウィンドウ拡大時の小節番号,tick値の表示を追加。
    音声合成方式の略称を変更(MF→V)。
    その他細かい不具合修正。

  ver.3.0beta1 2016/01/11
    UI言語切換え対応完了。
    アイテムソロ再生のボタンを追加。
    テキスト表示位置を調整。
    その他細かい変更、不具合修正。

  ver.3.0alpha17 2016/01/05
    UI言語切換え対応中。

  ver.3.0alpha16 2016/01/03
    選択範囲の数値入力に対応。
    アイテムオフセット補正のランダマイズ機能を追加。
    小節前後移動コマンド、指定小節へ移動コマンドを追加。
    小節オフセット設定が時間表示に反映されない不具合を修正。
    デコーダが登録されていない場合のエラーコードを修正。
    音声合成方式のWORLDを削除。
    UI言語切換え対応中。

  ver.3.0alpha15 2015/11/06
    プロジェクトを開く/元に戻す/やり直し時に異常終了することがある不具合を修正。
    背景画像表示機能を追加。

  ver.3.0alpha14 2015/10/25
    PIT編集モード以外のモードにもベジェ編集機能を追加。
    ノート単位のベジェ編集機能を追加。
    音声解析、合成アルゴリズムを変更。
    プロジェクトファイル復旧可否のチェック処理を追加。
    メインウィンドウスクロール中に応答がなくなることがある不具合を修正。
    ノート選択中に横方向に自動スクロールする不具合を修正。

  ver.3.0alpha13 2015/10/11
    解析設定表示を有効にしてMIDIファイルを追加すると内部エラーが発生する不具合を修正。
    ノート編集ツールに、ピッチシフト、ケロケロボイス、自動補正、他のアイテムに合わせて補正を追加。
    ラベルのダブルクリックでラベル編集画面を表示する機能を追加。
    設定で「WORLDを使用する」が有効になっているときのみ使用できるように変更。

  ver.3.0alpha12 2015/09/23
    ラベル機能を追加。
    ノートエクスポートの設定にTicks Per Quater Noteを追加。
    Waveファイル出力のオプション画面を追加。
    ステータスバーにボタンのショートカットキー表示を追加。
    その他細かい変更、修正。

  ver.3.0alpha11 2015/09/21
    MIDIアイテムの追加に対応。
    タイミング制御点のクオンタイズ機能を追加。
    レイヤー表示の線幅を変更。
    メインウィンドウのスクロールバーが操作できなくなることがある不具合修正。
    手動スクロールでオートスクロールが解除されない不具合を修正。
    音声ファイル差し替え(編集データ破棄)でトラックとオフセットが保持されない不具合を修正。
    チルトホイール設定が保存されない不具合修正。
    クリップボードにMIDIファイルを読み込む機能を廃止。

  ver.3.0alpha10 2015/09/13
    デコード処理改善。

  ver.3.0alpha9 2015/09/07
    チルトホイールによるスクロールを改良。

  ver.3.0alpha8 2015/09/05
    ケロケロボイス、自動補正のスケール設定を追加。
    チルトホイールによるスクロールに対応。
    ピッチ編集可能フラグをPITモードでも編集できるようにした。
    その他細かい変更。

  ver.3.0alpha7 2015/03/01
    アイテム編集ウィンドウの拡大率が低い場合、VOL,DYN,PANが波形表示に反映されない不具合を修正。

  ver.3.0alpha6 2015/03/01
    アイテム設定にオフセット補正を追加。
    最大音量位置にジャンプする機能を追加。
    VOL,DYN,PANを波形表示に反映するように変更。

  ver.3.0alpha5 2015/02/23
    アイテム編集ウィンドウで開いているアイテムのソロ再生機能修正。
    シンクロスクロール機能を追加。
    最大音量の位置表示を追加。

  ver.3.0alpha4 2015/01/12
    Wave形式以外のアイテムがあるプロジェクトからトラックまたはアイテムをコピーできない不具合を修正。
    Wave形式以外のアイテムがあるプロジェクトを復旧ツールで復旧できない不具合を修正。
    アイテムのバウンス失敗時のエラーメッセージを修正。

  ver.3.0alpha3 2015/01/10
    アイテムをWaveファイルに書き出すコマンドを追加。
    D&D処理を変更。

  ver.3.0alpha2 2014/12/31
    ショートカットキーカスタマイズ機能を追加。
    アイテム編集ウィンドウの1sample/pixel拡大表示に対応。
    次のアイテムを選択するコマンドを追加。
    Waveファイル出力後に外部アプリケーションで開くコマンドを追加。
    アイテム編集ウィンドウで開いているアイテムのソロ再生機能を追加。

  ver.3.0alpha1 2014/12/26
    WAVE以外の形式(FFmpegでデコードできる形式)に対応。
    音声ファイル差し替え機能を追加。

  ver.2.61 2014/12/13
    正式版作成。

  ver.2.61beta1 2014/12/09
    音声合成方式がWORLDの場合、特定の時刻以降の音声出力が無音になる不具合を修正。

  ver.2.6 2014/11/24
    極端なタイムストレッチ、ピッチシフトでノイズが発生する問題を再修正。

  ver.2.6beta1 2014/11/23
    ピッチ解析アルゴリズムの改良により、子音部のピッチシフトによる音品質劣化を改善。
    WORLD使用時に、子音部が正常に音声合成されず、ノイズが発生する不具合を修正。
    ウィンドウリサイズ時に再生開始/停止ボタンの表示状態がリセットされる不具合を修正。

  ver.2.51beta1 2014/11/16
    極端なタイムストレッチ、ピッチシフトでノイズが発生する問題を修正。
    スペクトラム感度調整バーが操作できない不具合を修正。

  ver.2.5 2014/11/03
    正式版作成。

  ver.2.5beta9 2014/11/02
    LE版のVSTプラグイン出力のbit深度を10bitから16bitに変更。
    他のアイテムをターゲットとしてDYNを自動調整する機能を追加。
    スペクトラム感度調整バーの表示位置を修正。
    アイテムのオフセットをM:B:T単位で設定できない不具合を修正。
    1小節ごとにスクロールする方式を追加。
    音声合成方式設定ウィンドウ追加。

  ver.2.5beta8 2014/10/15
    WORLD使用時にPIT,TIMEの再生中の編集が音声出力に反映されるように改良。
    オートスクロールモードの設定を追加。

  ver.2.5beta7 2014/10/13
    WORLDの実時間音声合成に対応。(PIT,TIMEは再生開始時に反映されます。)

  ver.2.5beta6 2014/10/11
    WORLD使用時のメモリ使用量を削減。

  ver.2.5beta5 2014/10/11
    WORLD使用時の処理を高速化、メモリ使用量を削減。
    WORLD使用時にフォルマントシフトが正しく反映されない不具合を修正。

  ver.2.5beta4 2014/10/04
    WORLD使用時に最大音量計測が動作しない不具合を修正。
    ダイナミクス自動調整機能を追加。

  ver.2.5beta3 2014/10/03
    WORLDの入出力を16bitから32bitに変更。
    WORLD使用時の進捗表示を改善。

  ver.2.5beta2 2014/10/01
    WORLD使用時の処理時間を短縮。

  ver.2.5beta1 2014/09/28
    WORLD使用時のメモリ使用量を削減。
    音声合成方式がWORLDの場合、WORLD側でタイムストレッチを行うように変更。

  ver.2.44 2014/09/27
    単音モードでのブレス編集に対応。

  ver.2.44beta2 2014/09/26
    音声合成エンジンを改良。
    グラフ描画処理を改良。

  ver.2.44beta1 2014/09/20
    タイミング編集モードにトリミング機能、削除機能を追加。
    グラフの線幅設定を追加。

  ver.2.43 2014/08/24
    LE版のVSTプラグイン出力のbit深度を8bitから10bitに変更。
    PITのベジェ変形機能を追加。
    VocalShifterプラグイン機能を廃止。

  ver.2.43beta1 2014/08/05
    LE版でVSTプラグインの動作確認ができるようにした。
    (LE版のVST出力bit数は8bitに制限されています。)

  ver.2.42 2014/08/02
    正式版作成。

  ver.2.42beta4 2014/07/25
    基準周波数解析機能の不具合を修正。

  ver.2.42beta3 2014/07/25
    キー設定がminor場合、キーの周波数が平均律に合わない不具合を修正。

  ver.2.42beta2 2014/07/23
    平均律以外の場合、キーの周波数を平均律に合わせるように変更。

  ver.2.42beta1 2014/07/23
    任意の音階の基準周波数設定を追加。

  ver.2.41 2014/07/18
    ウィンドウを最大化した状態で終了した場合、次回起動時に最大化するように変更。

  ver.2.41beta2 2014/07/12
    ペンツール、直線ツールでAltキー押下中に選択範囲外をマスクする機能を追加。
    タイミング編集モード時はツール設定にかかわらず選択ツールとみなすように変更。
    ノートをすべて選択、ノート選択解除のコマンドを追加。
    ノートの移動中にAltキー押下でノート内ピッチシフトになるように変更。
    ノート位置にタイミング制御点を追加するコマンドを追加。
    ノートのダブルクリックで再生開始しないように変更。

  ver.2.41beta1 2014/06/29
    Waveファイルがない場合、プロジェクトオープン時にファイルを指定する機能を追加。

  ver.2.4 2014/06/14
    正式版作成。

  ver.2.4beta14 2014/06/14
    ノート検出改良。
    ノート編集ツールを改良。
    内部エラー発生時のメッセージを変更。

  ver.2.4beta13 2014/06/08
    ノート編集ツールを改良。

  ver.2.4beta12 2014/06/07
    ノート検出改良。
    ピッチ有無検出改良。
    ノート編集以外のツールでノートを表示する設定を追加。

  ver.2.4beta11 2014/06/01
    ノート自動検出機能を追加。
    単音モードでイコライザを使用できるように変更。

  ver.2.4beta10 2014/05/25
    イコライザ設定を追加。
    WORLDのメモリリーク不具合修正。

  ver.2.4beta9 2014/05/18
    ピッチ有無検出機能でOKを押してもキャンセルとみなされる不具合を修正。

  ver.2.4beta7 2014/05/17
    ピッチ有無検出機能を追加。
    アンドゥ、リドゥ直後に、終了時の保存チェックがされない不具合を修正。

  ver.2.4beta6 2014/05/12
    WORLDを使用する場合、再生開始時に内部エラーが発生することがある不具合を再修正。

  ver.2.4beta5 2014/05/12
    WORLDを使用する場合、再生開始時に内部エラーが発生することがある不具合を修正。

  ver.2.4beta4 2014/05/11
    WORLDを使用する場合のモノラル化処理を修正。

  ver.2.4beta3 2014/05/11
    音声合成方式にWORLDを追加。
    ノート編集機能を追加。

  ver.2.32 2014/05/03
    正式版作成。

  ver.2.32beta2 2014/04/30
    音声合成エンジンを改良。
    アイテム編集ウィンドウのマウスホイールでのスクロール方向設定を追加。

  ver.2.32beta1 2014/04/19
    *PIT変更時にPITを初期化しないオプションを追加。
    レイテンシが小さい場合のVSVSTの動作を改善。

  ver.2.31 2014/04/04
    VSVSTのスキャンに失敗する不具合を修正。

  ver.2.31beta2 2014/03/26
    スペクトラム解析処理を改良。
    WAVEファイル出力時に内部エラー1が発生することがある不具合を修正。

  ver.2.31beta1 2014/03/21
    解析設定を表示しない設定の場合、解析時に内部エラー7が発生する不具合を修正。
    解析処理を高速化。

  ver.2.3 2014/03/16
    正式版作成。

  ver.2.3beta3 2014/03/09
    ピッチ再解析機能を追加。
    鍵盤色でPIT,*PITの背景を描画する機能を追加。
    ボリューム、パンのスライドバーの動作を改善。

  ver.2.3beta2 2014/03/08
    スペクトラム解析機能を追加。
    ペンツールアイコンの画像を修正。

  ver.2.3beta1 2014/03/01
    ケロケロボイスの強さ設定を追加。
    アイテム編集ウィンドウの拡大率上限を変更。
    プロジェクトファイル復旧ツールを同梱。
    エラーメッセージを改善。
    上書きされたプロジェクトファイルのバックアップを廃止。
    ファイル保存失敗時にエラーメッセージが出ない不具合を修正。

  ver.2.2 2014/01/19
    ver.2.2正式版作成。

  ver.2.2beta6 2014/01/18
    再生中の負荷を軽減。
    LE版で48kHzまたは16bitを超えるファイルをプロジェクトに追加できないように修正。

  ver.2.2beta5 2014/01/12
    プラグイン機能のUIを変更。

  ver.2.2beta4 2014/01/04
    ユーザ作成プラグインによる機能拡張に正式対応。

  ver.2.2beta3 2014/01/03
    ユーザ作成プラグインによる機能拡張に仮対応。

  ver.2.2beta2 2014/01/02
    アイテム編集画面のダブルクリックで再生/一時停止する機能を追加。
    RC版以前のバージョンで作成したプロジェクトを開くと、ノイズが発生する不具合を修正。
    フォルマント補正アルゴリズムを修正。

  ver.2.2beta1 2013/12/22
    ブレス編集モード、EQ1編集モード、EQ2編集モードを追加。

  ver.2.11 2013/09/22
    保存せずに終了したときのダイアログで、「キャンセル」を選択しても終了することがある不具合を修正。

  ver.2.1 2013/09/01
    ver.2.1正式版作成。

  ver.2.1beta3 2013/08/18
    ピッチ検出処理改良。

  ver.2.1beta2 2013/08/07
    UIを変更。
    プロジェクトに含まれるWAVEファイルを上書きできないように修正。

  ver.2.1beta1 2013/07/23
    音声解析エンジン改良(ピッチ解析の精度を大幅に向上)。
    音声合成エンジン改良(フォルマント補正フィルタを改良)。
    レベルメーター追加。
    解析音域設定のプリセットを追加。
    音声ファイル再読み込み時に編集前ピッチ,ピッチ有無フラグを継承しないように変更。
    デザイン変更。

  ver.2.0 2013/07/13
    正式版作成。

  ver.2.0RC2 2013/07/11
    トラック/アイテム設定適用ボタンを追加。
    その他細かい機能追加、変更、修正。

  ver.2.0RC1 2013/07/04
    STD版:ライセンスキー入力画面を追加。
    LE版 :機能制限追加。

  ver.2.0beta17 2013/06/28
    音声合成エンジン改良。
    音声ファイル再読み込み機能追加。
    マニュアル作成。

  ver.2.0beta16 2013/06/23
    音声合成エンジンを改良。(ピッチ/フォルマント補正処理改良,処理高速化)
    音声合成方式を選択できるようにした。(旧方式：MF1,新方式:MF2)

  ver.2.0beta15 2013/06/22
    音声合成エンジンを改良。(ピッチ/フォルマント補正処理改良,ピッチ有無判定改良)
    WAVEファイル出力の進捗表示を追加。

  ver.2.0beta14 2013/06/16
    フォルマント補正処理を改良。
    アイテム追加時にプロジェクトのサンプリング周波数が変更されない不具合を修正。
    相対パス設定の場合、プロジェクトの保存に失敗することがある不具合を修正。
    その他細かい修正、変更、改良。

  ver.2.0beta13 2013/06/11
    プロジェクトファイルのバックアップ機能を追加。
    最初のアイテム追加時にプロジェクトのサンプリング周波数をWaveファイルに合わせるように変更。
    Windows8で終了時にランタイムエラーが発生する不具合を修正。
    メモリ使用量を削減。

  ver.2.0beta12 2013/05/04
    プロジェクト設定に絶対/相対パスを追加。

  ver.2.0beta11 2013/04/28
    最大音量計測機能を追加。
    アイテム解析設定を追加。
    トラック設定に逆相を追加。
    プロジェクトファイルの拡張子をvshpに変更。(従来のvspにも対応)
    異なるバージョンを多重起動すると、アンドゥデータが壊れる不具合を修正。

  ver.2.0beta10 2013/04/21
    音声合成エンジン改良。
    アイテム設定、アイテム一括設定にタイムストレッチ倍率を追加。
    アイテム設定の基準周波数の小数部が切り捨てられる不具合を修正。
    ユーザー定義音律のアンドゥ/リドゥ不具合修正。
    オートスクロール速度変更。
    スクロールバーデザイン変更。
    ユーザ定義音律の表示設定を追加。

  ver.2.0beta9 2013/03/17
    基準周波数解析メニューが表示されない不具合を修正。

  ver.2.0beta8 2013/03/17
    タイムスケールのダブルクリックで再生開始する機能を追加。
    ピタゴラス音律,中全音律,ユーザ定義音律を追加。
    アイテムの範囲選択を改良。
    低音域のピッチ解析精度を向上。

  ver.2.0beta7 2013/03/10
    プロジェクトファイルのドラッグ＆ドロップに対応。
    解析中のWAVEファイルのドラッグ＆ドロップに対応。
    アイテム編集コマンドにパラメータ絶対値設定を追加。
    アイテム編集コマンドに度数指定ピッチシフトを追加。
    アイテム編集コマンドにVOLモードフェード関連コマンドを追加。
    半音単位に丸める→クオンタイズに変更,クオンタイズ単位指定を追加。
    アイテム非選択状態でアイテム編集するとエラーが発生する不具合を修正。
    選択範囲に制御点追加の位置がずれることがある不具合を修正。
    ピッチ平滑化パラメータに範囲外の値を設定できる不具合を修正。
    6,9,12拍子のグリッド表示を修正。

  ver.2.0beta6 2013/03/02
    Windows8対応。
    編集、描画、音声出力処理の負荷を調整。
    ピッチ解析処理調整。

  ver.2.0beta5 2013/02/24
    beta4でメニュー表示中に再生が止まる不具合を修正。
    beta4で画面更新頻度が落ちる不具合を修正。

  ver.2.0beta4 2013/02/23
    CPU使用率が異常に高くなる不具合修正、Windows8対応は延期。

  ver.2.0beta3 2013/02/23
    Windows8対応。
    選択トラックのみWAVEファイルに出力する機能を追加。
    アイテムのタイムストレッチ倍率制限を0.01～100.0倍に変更。
    アイテムのピンポイント編集の不具合修正。
    タイミング制御点描画の不具合修正。
    その他細かい機能追加、変更、修正。

  ver.2.0beta2 2013/02/16
    ウィンドウ描画負荷を大幅に軽減。
    選択範囲の開始,終了位置にタイミング制御点を設定するコマンドを追加。
    *PITをペンツールで描画中にキャンセルした時にPITが初期化される不具合を修正。

  ver.2.0beta1 2013/02/11
    解析処理を約15%高速化。
    ピッチ解析処理改良。
    単音フォルマント補正モードの音声合成処理を改良。
    プロジェクト保存、WAVEファイル出力時の上書きチェックを1回のみに変更。
    タイミング制御点の表示変更。
    アイテムのタイムストレッチ時にマウス位置とアイテム端がずれる不具合修正。

  ver.2.0alpha25 2013/01/19
    編集開始時の負荷を軽減。
    最大64トラック,1024アイテムに変更。

  ver.2.0alpha24 2013/01/06
    複数ファイルのドラッグ＆ドロップに対応。
    音声合成処理の負荷を軽減。

  ver.2.0alpha23 2013/01/03
    VSPファイルのフォーマットを確定。
    複数トラック一括設定、複数アイテム一括設定を追加。
    モノラル出力を追加。
    スクロールバー描画不具合を修正。

  ver.2.0alpha22 2012/12/09
    ケロケロボイスを改良。
    アイテム編集の動作を改良。
    リピート再生の不具合を修正。

  ver.2.0alpha21 2012/11/11
    MTCマスター,MTCスレーブに対応。
    メインウィンドウ右クリック時の動作を変更。

  ver.2.0alpha20 2012/11/04
    選択区間をリピート区間に設定するコマンドを追加。
    キー解析結果を適用できない不具合修正。
    小節オフセットの表示不具合修正。

  ver.2.0alpha19 2012/11/03
    最大256トラック,4096アイテムに変更。
    Shift+タイムストレッチで後ろの制御点をまとめて移動する機能を追加。
    小節オフセットを追加。
    メインウィンドウ表示を変更。
    メニュー項目追加。
    ショートカットキー追加。

  ver.2.0alpha18 2012/10/28
    ループ再生機能を追加。
    アイテムの基準周波数解析を追加。
    ケロケロボイスコマンドを追加。
    VOLをDYNに反映するコマンドを追加。
    メインウィンドウの色を変更。
    波形の描画処理を改良。
    多重起動時、クリップボードの表示が更新されない不具合修正。

  ver.2.0alpha17 2012/10/08
    メインウィンドウの時間グリッドを追加。
    秒単位の時間グリッドを追加。
    アイテム編集ウィンドウにグローバルな時間を表示できるようにした。
    クリップボードのデータ表示を追加。
    停止コマンド,グラフ描画,自動スクロールの不具合修正。
    アイテムパラメータ廃止。

  ver.2.0alpha16 2012/09/17
    キーを指定してピッチを半音単位に丸める機能を追加。
    アイテムのキー解析,音域解析を追加。
    MIDIファイルをクリップボードに読み込む機能を追加。
    アイテム編集ウィンドウでの貼り付けがアンドゥできない不具合修正。
    モジュレーション変更の不具合修正。

  ver.2.0alpha15 2012/09/15
    VSTプラグインに対応。
    モジュレーション変更機能を追加。(PIT,DYNをCtrl+上下にドラッグ)
    画面更新頻度を変更。
    新規プロジェクトを作成した状態で起動するように変更。

  ver.2.0alpha14 2012/09/08
    ショートカットキー対応。
    基準周波数、キー、音律の設定を追加。
    タイミング補正を考慮してコピー/ペーストするように変更。
    実行ファイル名変更。
    タイミング編集、表示の不具合修正。
    ペンツール不具合修正。

  ver.2.0alpha13 2012/08/26
    アイテム編集のコピー,貼り付け機能を追加。
    タイミング制御点間選択機能を追加。(Ctrl+ドラッグ)
    タイミング制御点の編集前位置変更機能を追加。(Ctrl+ドラッグ)
    起動処理改良。
    ダイナミクス編集の不具合修正。
    編集可能属性自動設定機能の不具合修正。
    アイテム編集選択ツールで最後の1点が選択できない不具合修正。
    アイテム編集波形描画の不具合修正。

  ver.2.0alpha12 2012/08/25
    音声合成モード追加。
    アイテム編集ウィンドウの波形表示を改良。
    ピンポイント編集追加。
    パラメータのポップアップ表示を追加。
    前後選択コマンド追加。
    選択中の自動スクロールを改良。
    音階表示形式の設定を追加。

  ver.2.0alpha11 2012/08/10
    コンプレッサー,リミッターのアタックタイム,リリースタイムに対応。
    解析処理の進捗表示を追加。
    設定保存時の不具合修正。
    初期化ファイルのパスを"%appdata%\ackiesound\vocalshifter"に変更。
    アイテム編集画面のレイヤー表示機能を追加。
    アイテム編集コマンド追加。

  ver.2.0alpha10 2012/07/28
    タイミング編集機能を追加。
    ステレオデータのダイナミクス検出不具合修正
    ダイナミクス検出方式を変更。
    リミッター設定の不具合修正。
    ピッチ誤検出修正の動作変更。

  ver.2.0alpha9 2012/07/22
    アイテム編集コマンド追加。
    音声合成エンジン不具合修正。
    アイテム編集ツール改良。

  ver.2.0alpha8 2012/07/18
    選択ツール,ペンツール,直線ツールを追加。
    その他細かい機能追加,改良,修正。

  ver.2.0alpha7 2012/07/15
    ピッチ検出改良。
    ダイナミクス検出不具合修正。
    グラフ描画改良。
    アンドゥ、リドゥ時のアイテム編集タブの動作修正。
    ディザリング追加。

  ver.2.0alpha6 2012/07/14
    トラック,アイテム編集を改良。
    アイテム編集ウィンドウの表示のみ対応。(編集機能は未実装)

  ver.2.0alpha5 2012/06/30
    トラック,アイテム編集の不具合修正、改良。
    WAVE出力デバイス,バッファサイズの設定を追加。
    メインウィンドウの描画負荷軽減。

  ver.2.0alpha4 2012/06/30
    トラック,アイテムのコピー,切り取り,貼り付け機能を追加。
    アイテム範囲選択の不具合修正。
    
  ver.2.0alpha3 2012/06/26
    アイテムの範囲選択機能を追加。
    ステータスバー表示を追加。
    ボリュームスケールをdB化。
    マウスホイールでのボリューム、パン操作に対応。
    再生位置が範囲外にある場合オートスクロールがONしない不具合を修正。
    アイテムのCtrl+ドラッグコピーの不具合を修正。

  ver.2.0alpha2 2012/06/24
    アンドゥ、リドゥ機能を追加。
    保存確認ダイアログを追加。
    アイテムオフセットのスナップ機能を追加。
    アイテムの右端ドラッグでタイムストレッチ機能を追加。
    トラック、アイテム編集処理,描画処理を改良。

  ver.2.0alpha1 2012/06/23
    α版初公開。
